%define perlname XML-Entities

Name:      perl-XML-Entities
Version:   0.0307
Release:   2%{?dist}
Summary:   Decode strings with XML entities

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/XML-Entities/
Source:    http://search.cpan.org/CPAN/authors/id/S/SI/SIXTEASE/%{perlname}-%{version}.tar.gz

# wget -r -nH -l 1 --cut-dirs=2 -nv http://www.w3.org/2003/entities/iso9573-2003doc/overview.html
# tar czf perl-XML-Entities-iso9573-2003.tgz iso9573-2003doc/overview.html iso9573-2003/*ent
Source1:   %{name}-iso9573-2003.tgz 

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) perl(LWP::Simple) perl(Test::More)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module provides a mapping from the standard XML entities to their Unicode
characters. A function for decoding is provided. The mapping can be generated
from a DTD file with entity definitions.


%prep
%setup -q -n %{perlname}

tar xzf %{SOURCE1}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

# Use file provided rather than download it.
sed -i -e "s;bin/download-entities.pl lib/XML/Entities/Data.pm;bin/download-entities.pl file://$PWD/iso9573-2003doc/overview.html lib/XML/Entities/Data.pm;" \
    Makefile

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
chmod -R u+rwX,go+rX,go-w %{buildroot}/*


%clean
rm -rf %{buildroot}


%check
make test


%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/XML*
%{_mandir}/man1/download-entities.*
%{_bindir}/download-entities.pl
%{perl_vendorlib}/XML


%changelog
* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0307-2
- Mass rebuild with perl-5.12.0

* Sat Jan 09 2010 Remi Collet <Fedora@famillecollet.com> 0.0307-1
- update to 0.0307

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 10 2008 Remi Collet <Fedora@famillecollet.com> 0.03-1
- update to 0.03

* Fri Apr 04 2008 Remi Collet <Fedora@famillecollet.com> 0.02-3
- enable test in all distro 
  (known to fail on EL4, must work on this issue)

* Thu Apr 03 2008 Remi Collet <Fedora@famillecollet.com> 0.02-2
- comment from review (#436611)

* Sat Mar  8 2008 Remi Collet <Fedora@famillecollet.com> 0.02-1
- initial spec

